package dia4g3java;

import java.text.ParseException;
import java.text.SimpleDateFormat;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.FC385F4A-3300-9D82-ABC4-25EC501C970E]
// </editor-fold> 
public class OP_Basica extends Movimiento {
    Sucursal aux2 = new Sucursal();
    Producto pro = new Producto();
    Movimiento mo = new Movimiento();
    SimpleDateFormat df=new SimpleDateFormat("ddMMyy");

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.837BE008-DD95-DFC2-609A-5F694AD0D39B]
    // </editor-fold> 
    public OP_Basica () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C671D9E8-22BF-5641-10ED-258A0F831C17]
    // </editor-fold> 
    public boolean ingreso (Sucursal aux2,String numcta, float importe, String concepto, String fecha) throws ParseException {
            pro = aux2.devuelveProducto(numcta);
            mo.setImporte(importe);
            mo.setConcepto(concepto);
            mo.setFechaOperacion(df.parse(fecha));
            pro.insertaMovimientoenCuenta(mo);
            return true;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.A689B91B-597F-0713-E538-75701E845842]
    // </editor-fold> 
    public boolean reintegro (Sucursal aux2, String numcta, float importe,  String concepto, String fecha) throws ParseException {
            pro = aux2.devuelveProducto(numcta);
            mo.setImporte(importe);
            mo.setConcepto(concepto);
            mo.setFechaOperacion(df.parse(fecha));
            pro.insertaMovimientoenCuenta(mo);
            return true;
    }

}

